/************************************************************************
     File:        MyWindow.h

     Author:     
                  Steven J Chenney, schenney@cs.wisc.edu
     Modifier
                  Yu-Chi Lai, yu-chi@cs.wisc.edu
     
     Comment:     For window for displaying the OpenGL operation
	                (c) 2004 Steven J. Chenney
   
     Platform:    Visio Studio.Net 2003
*************************************************************************/

#ifndef MY_WINDOW_H
#define MY_WINDOW_H

// The list of numbers of warning we will like to disable 
#pragma warning(disable : 4204)
#pragma warning(disable : 4244)
#pragma warning(disable : 4312)
#pragma warning(disable : 4311)
#pragma warning(disable : 4083)
#pragma warning(disable : 4193)
// List of all fltk include file for example #include <Fl/Fl_Window.h>
#include <Fl/Fl_Gl_Window.h>
#pragma warning (pop) // Enable the warning again

class MyWindow : public Fl_Gl_Window
{
   public:
      MyWindow(int width, int height, char* title);
      virtual ~MyWindow();
      void InitializeGL();
      virtual void draw();
      void DrawCube();
      virtual int handle(int event);

      float rotation,
            rotationIncrement;
      bool  animating;
};

#endif
